'''Apport package hook for the ubiquity live CD installer.

Copyright (C) 2009 Canonical Ltd.
Author: Colin Watson <cjwatson@ubuntu.com>'''

import os.path
import apport.hookutils

def add_installation_log(report, ident, name):
    if os.path.exists('/var/log/installer/%s' % name):
        f = '/var/log/installer/%s' % name
    elif os.path.exists('/var/log/%s' % name):
        f = '/var/log/%s' % name
    else:
        return

    if os.access(f, os.R_OK):
        report[ident] = (f,)
    else:
        apport.hookutils.attach_root_command_outputs(report,
            {ident: "cat '%s'" % f})

def add_info(report):
    add_installation_log(report, 'UbiquitySyslog', 'syslog')
    add_installation_log(report, 'UbiquityPartman', 'partman')
    if os.path.exists('/var/log/installer/debug'):
        report['UbiquityDebug'] = ('/var/log/installer/debug',)
    if os.path.exists('/var/log/installer/dm'):
        report['UbiquityDm'] = ('/var/log/installer/dm',)
    add_installation_log(report, 'Casper', 'casper.log')
    if os.path.exists('/var/log/oem-config.log'):
        report['OemConfigLog'] = ('/var/log/oem-config.log',)
